PDA

View Full Version : Solved hundreds of php errors



MOGmartin
20-09-10, 17:14
Hi there,

after a few days of working flawlessly, the plugin is today generating hundreds of php errors.

enough to kill my hosting, which is on rackspacecloud (cloudsites), so could hardly be described as "not powerfull enough"!.

here are the errors:

19-Sep-2010 20:25:25] PHP Fatal error: Call to undefined function vbet_global_shutdown() in /mnt/stor1-wc1-dfw1/381384/www.seoforums.org/web/content/includes/functions.php(7036) : eval()'d code on line 2
[19-Sep-2010 20:25:25] PHP Fatal error: Call to undefined function vbet_global_shutdown() in /mnt/stor1-wc1-dfw1/381384/www.seoforums.org/web/content/includes/functions.php(7036) : eval()'d code on line 2
[19-Sep-2010 20:25:26] PHP Fatal error: Call to undefined function vbet_global_shutdown() in /mnt/stor1-wc1-dfw1/381384/www.seoforums.org/web/content/includes/functions.php(7036) : eval()'d code on line 2


any ideas/solutions?

MOGmartin

vBET
20-09-10, 17:38
Checkint it... Will give details in few moments.

vBET
20-09-10, 17:44
We must have different vB4.x version than you, because we do not see any hook code in poined line. Please send us code aroung line 7036 from your /includes/functions.php file.

MOGmartin
20-09-10, 17:58
line 7036 is this:

($hook = vBulletinHook::fetch_hook('global_shutdown')) ? eval($hook) : false;

and in context:


if (!$vbulletin->options['bbactive'] AND !($vbulletin->userinfo['permissions']['adminpermissions'] & $vbulletin->bf_ugp_adminpermissions['cancontrolpanel']))
{ // Forum is disabled and this is not someone with admin access
$vbulletin->userinfo['badlocation'] = 2;
}

if (class_exists('vBulletinHook', false))
{
($hook = vBulletinHook::fetch_hook('global_shutdown')) ? eval($hook) : false;
}

MOGmartin
20-09-10, 18:00
ps. its VB4.06

vBET
20-09-10, 18:31
OK - this is already solved (Taurus had it before) and will be included in next release.

For quick fix please:
1. Go to Admin CP -> Plugins & Products -> Plugin Manager
2. Find and edit plugin "Write guest cache"
3. Add at the beginning:

require_once(DIR. '/includes/vbenterprisetranslator_functions_hooks.php');

MOGmartin
20-09-10, 19:48
OK - this is already solved (Taurus had it before) and will be included in next release.

For quick fix please:
1. Go to Admin CP -> Plugins & Products -> Plugin Manager
2. Find and edit plugin "Write guest cache"
3. Add at the beginning:

require_once(DIR. '/includes/vbenterprisetranslator_functions_hooks.php');

fantastic thanks!

I have made the updates, and will monitor it to let you know if the problem is solved.

thanks for your fantastic support,

MOGmartin

MOGmartin
21-09-10, 08:19
I can confirm that the site ran well overnight, and is now on a server load of:

1.10 1.20 1.16

with 105 members online, so its running perfectly quickly.

Thanks again,

MOGmartin

vBET
21-09-10, 12:40
Great thanks for confirmation nad glad you are happy with our product :)

linuxtuts
14-01-11, 23:07
OK - this is already solved (Taurus had it before) and will be included in next release.

For quick fix please:
1. Go to Admin CP -> Plugins & Products -> Plugin Manager
2. Find and edit plugin "Write guest cache"
3. Add at the beginning:

require_once(DIR. '/includes/vbenterprisetranslator_functions_hooks.php');


Thanks soooo much! I search for an answer before & have been suffering with this problem for months.

This FIXED it!

Thanks, Brian R. Wallace

vBET
15-01-11, 20:32
Thanks soooo much! I search for an answer before & have been suffering with this problem for months.

This FIXED it!

Thanks, Brian R. Wallace

Just ask us next time ;) We are here for you :)

AfrikaansAlbanianArabicBelarusianBulgarianCatalanChineseCroatianCzechDanishDutchEnglishEstonianFilipinoFinnishFrenchGalicianGermanGreekHaitian CreoleHebrewHindiHungarianIcelandicIndonesianIrishItalianJapaneseKoreanLatvianLithuanianMacedonianMalayMalteseNorwegianPersianPolishPortugueseRomanianRussianSerbianSlovakSlovenianSpanishSwahiliSwedishTaiwaneseThaiTurkishUkrainianVietnameseWelshYiddish
Languages translations made by vBET Translator 4.9.2